package cn.reghao.bnt.web.admin.model.vo;

import cn.reghao.bnt.web.admin.model.po.Menu;
import lombok.Data;

import java.io.Serializable;

/**
 * @author reghao
 * @date 2021-07-15 14:06:13
 */
@Data
public class MenuVO implements Serializable {
    private static final long serialVersionUID = 1L;
    private Integer menuId;
    private String name;
    private String url;
    private String type;

    public MenuVO(Menu menu) {
        this.menuId = menu.getId();
        this.name = menu.getName();
        this.url = menu.getUrl();
        this.type = menu.getType();
    }
}
